package com.ffii.core.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.server.ResponseStatusException;

public class InternalServerErrorException extends ResponseStatusException {

  public InternalServerErrorException() {
    super(HttpStatus.INTERNAL_SERVER_ERROR);
  }

  public InternalServerErrorException(String reason) {
    super(HttpStatus.INTERNAL_SERVER_ERROR, reason);
  }

  public InternalServerErrorException(String reason, Throwable e) {
    super(HttpStatus.INTERNAL_SERVER_ERROR, reason, e);
  }
}
